#include <bits/stdc++.h>
using namespace std;
int main ()
{
   freopen ("DEMTU.INP","r",stdin);
   freopen ("DEMTU.OUT","w",stdout);
     string a;
     getline(cin,a);
        int n,r,c=1;
     n=a.length();
     for (int b=1; b<=n;b++)
     {r=static_cast<int>(a[b]);
     if (r==32) c++;}
     cout <<c+1;
}
